%STANOVENI VETVOVYCH PROUDU
clear;
    %matice koeficientu A sestavena z rovnic
disp(' Matice koeficientu sestavena z rovnic:');
A=[247 0 59 0 0 94;0 117 -59 26.41 0 0;0 0 0 -26.41 77 -94;-1 1 1 0 0 0;0 -1 0 1 1 0;0 0 -1 -1 0 1]
    %vektor pravych stran
disp(' Vektor pravych stran:');
B=[149;0;0;0;0;0]
    %vektor vetvovych proudu
disp(' Vektor vysledku - vetvove proudy I1..I6 [A]:');
x=A\B
disp(' Pro vykresleni grafu stisknete libovolnou klavesu!');pause;

%URCENI ZAVISLOSTI ODPORU
    %rozdeleni na dva grafy
subplot(2,1,1);
    %hodnoty velikosti odporu R6
R6=(46:10:460);
    %dopocteni hodnot R7
for i=1:length(R6),R7(i)=(1/(1/26.41-1/R6(i)));end
    %jemnejsi vypocet
R66=linspace(46,460,1000);
for i=1:length(R66),R77(i)=(1/(1/26.41-1/R66(i)));end
    %vykresleni grafu + popis + parametry os
plot(R66,R77,'b',R6,R7,'r+')
title('Zavislost R7=f(R6) - velikost R6 roste po 10 ohmech do hodnoty 10*R6')
xlabel('R6[ohm]')
ylabel('R7[ohm]')

subplot(2,1,2);
clear R6 R7 R66 R77;
    %hodnoty velikosti odporu R6
R6=(46:-2:26.41);
    %dopocteni hodnot R7
for i=1:length(R6),R7(i)=(1/(1/26.41-1/R6(i)));end
    %jemnejsi vypocet
R66=linspace(46,26.41001,100);
for i=1:length(R66),R77(i)=(1/(1/26.41-1/R66(i)));end
    %vykresleni grafu + popis + parametry os
semilogy(R66,R77,'g',R6,R7,'r+')
title('Zavislost R7=f(R6) - velikost R6 klesa po 2 ohmech do hodnoty R67')
xlabel('R6[ohm]')
ylabel('R7[ohm]')
axis([26 48 10 10^6])